#
# spec file for package python-Tempita
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Tempita
Version:        0.5.2
Release:        lp152.3.2
Url:            http://pythonpaste.org/tempita/
Summary:        A very small text templating language
License:        MIT
Group:          Development/Languages/Python
Source:         https://pypi.io/packages/source/T/Tempita/Tempita-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
%ifpython2
Provides:       python-tempita = %{version}
Obsoletes:      python-tempita < %{version}
%endif
BuildArch:      noarch

%python_subpackages

%description
Tempita is a small templating language for text substitution.

This isn't meant to be the Next Big Thing in templating; it's just a
handy little templating language for when your project outgrows
string.Template or % substitution.  It's small, it embeds
Python in strings, and it doesn't do much else.

%prep
%setup -q -n Tempita-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Mon Jul  3 2017 tbechtold@suse.com
- update to singlespec
* Tue Nov 15 2016 dmueller@suse.com
- update to 0.5.2
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Jan 14 2013 saschpe@suse.de
- Simplify macro usage
* Fri Jan 11 2013 p.drouand@gmail.com
- Initial python3 support
* Thu Sep  1 2011 saschpe@suse.de
- Initial version
